Bug 258348 - devel/clxclient: Don't override ports framework optimization
Summary: devel/clxclient: Don't override ports framework optimization
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-07 20:10 UTC by Daniel Engberg
Modified: 2021-09-12 08:53 UTC (History)
0 users

See Also:
yuri: maintainer-feedback+


Attachments
Patch for clxclient (821 bytes, patch)
2021-09-07 20:10 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-07 20:10:19 UTC
Created attachment 227743 [details]
Patch for clxclient

Don't set -O2 or -march=native as this will clash with optimization handled by ports framework and -march=native isn't valid on several non x86 platforms causing build failures.

Compile tested on FreeBSD 13.0-STABLE #0 stable/13-n246453-06887e06864-dirty (arm64) (make, make check-plist)

Reference:
https://portsfallout.com/fallout?port=devel%2Fclxclient$
Comment 1 Yuri Victorovich freebsd_committer 2021-09-07 20:20:49 UTC
Approved, thanks!
Comment 2 commit-hook freebsd_committer 2021-09-11 08:39:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3f5859f965d967ab552d57549746abb2a7520b87

commit 3f5859f965d967ab552d57549746abb2a7520b87
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-11 08:34:23 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-11 08:37:00 +0000

    devel/clxclient: Don't override ports framework optimization

    Don't set -O2 or -march=native as this will clash with optimization
    handled by ports framework and -march=native isn't valid on several non x86
    platforms causing build failures.

    PR:             258348
    Reported by:    pkg-fallout
    Approved by:    yuri (maintainer), arrowd (mentor)

 devel/clxclient/files/patch-Makefile | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)
Comment 3 Daniel Engberg freebsd_committer 2021-09-12 08:53:20 UTC
Comitted